Bug 35885 - xrdp for UCS 4.0
xrdp for UCS 4.0
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: xrdp
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Felix Botner
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-11 09:13 CEST by Stefan Gohmann
Modified: 2014-11-26 06:53 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
08_XRDP-Login.tar.gz (77.70 KB, application/x-compressed-tar)
2014-09-16 09:19 CEST, Stefan Gohmann
Details
x11rdp-build.patch (1.03 KB, patch)
2014-09-23 13:00 CEST, Felix Botner
Details | Diff
xrdp.png (19.41 KB, image/png)
2014-09-23 16:37 CEST, Felix Botner
Details
Fake Screenshot (10.25 KB, image/png)
2014-09-23 18:00 CEST, Alexander Kläser
Details
UCS logo BMP 256 colors (16.69 KB, image/bmp)
2014-09-23 18:01 CEST, Alexander Kläser
Details
UCS logo BMP 24bit color depth (46.02 KB, image/bmp)
2014-09-23 18:02 CEST, Alexander Kläser
Details
Updated fake screenshot (16.54 KB, image/png)
2014-09-25 12:58 CEST, Alexander Kläser
Details
UCS logo (7.87 KB, image/png)
2014-09-25 12:58 CEST, Alexander Kläser
Details
Final fake screenshot (88.67 KB, image/jpeg)
2014-10-16 13:00 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-11 09:13:13 CEST
We should build the current UCC xrdp version for UCS 4.0.
Comment 1 Stefan Gohmann univentionstaff 2014-09-16 09:18:57 CEST
Please use the attached image as xrdp background image.
Comment 2 Stefan Gohmann univentionstaff 2014-09-16 09:19:37 CEST
Created attachment 6114 [details]
08_XRDP-Login.tar.gz
Comment 3 Felix Botner univentionstaff 2014-09-23 13:00:56 CEST
Created attachment 6119 [details]
x11rdp-build.patch

added xrdp_20140204 to appcenter.test for 4.0.

i386 xrdp packages still missing (no install image for UCS 4.0 i386 at the moment).

To build the package setup a i386 UCS 4.0 and download the xrdp build script https://github.com/scarygliders/X11RDP-o-Matic.

Apply the x11rdp-build.patch patch and run

 -> ./X11rdp-o-matic.sh --justdoit --branch v0.8

Find the xrdp and x11rdp packages in the packages directory.
Comment 4 Felix Botner univentionstaff 2014-09-23 16:37:19 CEST
Created attachment 6120 [details]
xrdp.png


Theme:

I found no way to configure a bg image, but we can define the color for the bg and we may need another univention logo (with #dddadd as bg color) for the xrdp login screen, see screenshot
Comment 5 Alexander Kläser univentionstaff 2014-09-23 18:00:56 CEST
Created attachment 6121 [details]
Fake Screenshot

(In reply to Felix Botner from comment #4)
> ...
> I found no way to configure a bg image, but we can define the color for the
> bg and we may need another univention logo (with #dddadd as bg color) for
> the xrdp login screen, see screenshot

Would it be possible to adjust the design as shown in the fake screenshot attached? I will attach two .bmp files (for 24bit and 256 indexed colors) containing the UCS logo. The colors are:

#e6e6e6 → background color
#f3f3f3 → background color for the dialog
#5f5f5f → color for active dialog bar (instead of blue)
Comment 6 Alexander Kläser univentionstaff 2014-09-23 18:01:38 CEST
Created attachment 6122 [details]
UCS logo BMP 256 colors
Comment 7 Alexander Kläser univentionstaff 2014-09-23 18:02:03 CEST
Created attachment 6123 [details]
UCS logo BMP 24bit color depth
Comment 8 Felix Botner univentionstaff 2014-09-24 13:01:49 CEST
(In reply to Alexander Kläser from comment #5)
> 
> Would it be possible to adjust the design as shown in the fake screenshot
> attached? I will attach two .bmp files (for 24bit and 256 indexed colors)
> containing the UCS logo. The colors are:
> 

done, 

i386 xrdp packages still missing
Comment 9 Alexander Kläser univentionstaff 2014-09-25 12:58:04 CEST
Created attachment 6131 [details]
Updated fake screenshot

Attached an updated version for the XRDP login screen.
* Background: #d4d4d4
* Login window background: #e8e8e8
* Dialog title bar color: #969696
* UCS-Logo (cf. following attachment)
Comment 10 Alexander Kläser univentionstaff 2014-09-25 12:58:26 CEST
Created attachment 6132 [details]
UCS logo
Comment 11 Felix Botner univentionstaff 2014-09-29 16:30:51 CEST
Done, announced as meta-inf/4.0/xrdp_20140204.ini on appcenter.test
Comment 12 Stefan Gohmann univentionstaff 2014-09-30 09:02:35 CEST
(In reply to Alexander Kläser from comment #9)
> Created attachment 6131 [details]
> Updated fake screenshot
> 
> Attached an updated version for the XRDP login screen.
> * Background: #d4d4d4
> * Login window background: #e8e8e8
> * Dialog title bar color: #969696
> * UCS-Logo (cf. following attachment)

I've installed the current version and it doesn't look good:
 xfreerdp 10.201.40.1

I think it contains too much gray.
Comment 13 Stefan Gohmann univentionstaff 2014-10-01 16:17:22 CEST
The design is not yet final. Moving to interim-3
Comment 14 Alexander Kläser univentionstaff 2014-10-16 13:00:16 CEST
Created attachment 6174 [details]
Final fake screenshot

(In reply to Stefan Gohmann from comment #13)
> The design is not yet final. Moving to interim-3

For the final version, please change the background color to #282828.

For the future, we could see whether we would like to implement more theming capabilities to XRDP itself.
Comment 15 Felix Botner univentionstaff 2014-10-16 14:32:32 CEST
Done, announced as meta-inf/4.0/xrdp_20140204.ini on appcenter
Comment 16 Stefan Gohmann univentionstaff 2014-10-30 08:18:29 CET
I'm unable to install the current xrdp version:

root@master501:~# univention-install univention-xrdp
Hit http://apt.knut.univention.de 4.0-0/all/ Release.gpg
Hit http://apt.knut.univention.de 4.0-0/amd64/ Release.gpg
Hit http://apt.knut.univention.de 4.0-0/all/ Release
Hit http://apt.knut.univention.de 4.0-0/amd64/ Release
Hit http://apt.knut.univention.de 4.0-0/all/ Packages
Hit http://apt.knut.univention.de 4.0-0/amd64/ Packages
Hit http://appcenter.test.software-univention.de xrdp_20140204/all/ Release.gpg
Hit http://appcenter.test.software-univention.de xrdp_20140204/amd64/ Release.gpg
Hit http://appcenter.test.software-univention.de xrdp_20140204/all/ Release
Ign http://apt.knut.univention.de 4.0-0/all/ Translation-en_US
Hit http://appcenter.test.software-univention.de xrdp_20140204/amd64/ Release
Ign http://apt.knut.univention.de 4.0-0/all/ Translation-en
Ign http://apt.knut.univention.de 4.0-0/amd64/ Translation-en_US
Ign http://apt.knut.univention.de 4.0-0/amd64/ Translation-en
Hit http://appcenter.test.software-univention.de xrdp_20140204/all/ Packages
Hit http://appcenter.test.software-univention.de xrdp_20140204/amd64/ Packages
Ign http://appcenter.test.software-univention.de xrdp_20140204/all/ Translation-en_US
Ign http://appcenter.test.software-univention.de xrdp_20140204/all/ Translation-en
Ign http://appcenter.test.software-univention.de xrdp_20140204/amd64/ Translation-en_US
Ign http://appcenter.test.software-univention.de xrdp_20140204/amd64/ Translation-en
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 univention-xrdp : Depends: pulseaudio-xrdp but it is not going to be installed
                   Depends: libasound2-plugins but it is not installable
                   Recommends: univention-kde but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
root@master501:~#
Comment 17 Felix Botner univentionstaff 2014-10-30 09:48:24 CET
Added pulseaudio to maintained.
Comment 18 Stefan Gohmann univentionstaff 2014-11-02 13:59:01 CET
I was able to install the new version and it works well. But I was unable to update from 3.2 to UCS 4 with xrdp installed. I got the following message in the UMC update module:

The currently installed release version is 3.2-3 errata181
Version 0.7.0~20130117 of the application RDP Server (xrdp) is not available for the new release. Use the "RDP Server (xrdp)" module to upgrade this application if possible.
Comment 19 Felix Botner univentionstaff 2014-11-03 09:43:00 CET
(In reply to Stefan Gohmann from comment #18)
> I was able to install the new version and it works well. But I was unable to
> update from 3.2 to UCS 4 with xrdp installed. I got the following message in
> the UMC update module:
> 
> The currently installed release version is 3.2-3 errata181
> Version 0.7.0~20130117 of the application RDP Server (xrdp) is not available
> for the new release. Use the "RDP Server (xrdp)" module to upgrade this
> application if possible.

There is a pending update of xrdp (xrdp_20140204) for UCS 3.2. Update to 4.0 should be possible with this version.
Comment 20 Felix Botner univentionstaff 2014-11-03 15:29:15 CET
I renamed the xrdp_20140204 for UCS 4.0 to xrdp, update should be possible now.
Comment 21 Stefan Gohmann univentionstaff 2014-11-04 10:15:28 CET
Update: Failed:
--------------------------------------------------------------------------
The following packages have been kept back:
  db4.8-util univention-xrdp
--------------------------------------------------------------------------

Installation: OK

I've moved the pending 3.2-4-errata bugs for xrdp to 4.0-0-errata

The login screen doesn't look very nice. I've created a new bug for it: Bug #36412

Please add a changelog entry.
Comment 22 Felix Botner univentionstaff 2014-11-04 11:27:50 CET
Added "install univention-xrdp xrdp" to the postup.sh if univention-xrdp is installed and a entry in the changelog.
Comment 23 Stefan Gohmann univentionstaff 2014-11-04 13:36:38 CET
(In reply to Felix Botner from comment #22)
> Added "install univention-xrdp xrdp" to the postup.sh if univention-xrdp is
> installed and a entry in the changelog.

OK, works fine now.
Comment 24 Stefan Gohmann univentionstaff 2014-11-26 06:53:48 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".